'use strict';

var object = require('../resources/object.js');

var objectRoutes = [
  {
    method: 'POST',
    path: '/api/v0/object/new',
    ...object.newResource
  },
  {
    method: 'POST',
    path: '/api/v0/object/get',
    ...object.getResource
  },
  {
    method: 'POST',
    path: '/api/v0/object/put',
    ...object.putResource
  },
  {
    method: 'POST',
    path: '/api/v0/object/stat',
    ...object.statResource
  },
  {
    method: 'POST',
    path: '/api/v0/object/data',
    ...object.dataResource
  },
  {
    method: 'POST',
    path: '/api/v0/object/links',
    ...object.linksResource
  },
  {
    method: 'POST',
    path: '/api/v0/object/patch/append-data',
    ...object.patchAppendDataResource
  },
  {
    method: 'POST',
    path: '/api/v0/object/patch/set-data',
    ...object.patchSetDataResource
  },
  {
    method: 'POST',
    path: '/api/v0/object/patch/add-link',
    ...object.patchAddLinkResource
  },
  {
    method: 'POST',
    path: '/api/v0/object/patch/rm-link',
    ...object.patchRmLinkResource
  }
];

module.exports = objectRoutes;
